=== debian/control ===
--- 
+++ 
@@ -7,38 +7,39 @@
                dbus,
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
-               libakonadi-dev (>= 4:24.08.2~),
-               libakonadicontact-dev (>= 4:24.08.2~),
-               libakonadimime-dev (>= 4:24.08.2~),
+               extra-cmake-modules (>= 6.6.0~),
+               libakonadi-dev (>= 4:24.12.0~),
+               libakonadicontact-dev (>= 4:24.12.0~),
+               libakonadimime-dev (>= 4:24.12.0~),
                libgpgme-dev (>= 1.20.0~),
                libgpgmepp-dev (>= 1.20.0~),
-               libkdepim-dev (>= 4:24.08.2~),
-               libkf6archive-dev (>= 6.3.0~),
-               libkf6codecs-dev (>= 6.3.0~),
-               libkf6completion-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6dbusaddons-dev (>= 6.3.0~),
-               libkf6guiaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6iconthemes-dev (>= 6.3.0~),
-               libkf6itemmodels-dev (>= 6.3.0~),
-               libkf6itemviews-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkf6syntaxhighlighting-dev (>= 6.3.0~),
+               libkdepim-dev (>= 4:24.12.0~),
+               libkf6archive-dev (>= 6.6.0~),
+               libkf6codecs-dev (>= 6.6.0~),
+               libkf6completion-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6dbusaddons-dev (>= 6.6.0~),
+               libkf6guiaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6iconthemes-dev (>= 6.6.0~),
+               libkf6itemmodels-dev (>= 6.6.0~),
+               libkf6itemviews-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkf6syntaxhighlighting-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
-               libkf6xmlgui-dev (>= 6.3.0~),
-               libkidentitymanagement-dev (>= 24.08.2~),
-               libkmailtransport-dev (>= 24.08.2~),
-               libkmime-dev (>= 24.08.2~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkf6xmlgui-dev (>= 6.6.0~),
+               libkidentitymanagement-dev (>= 24.12.0~),
+               libkmailtransport-dev (>= 24.12.0~),
+               libkmime-dev (>= 24.12.0~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailimporter-dev (>= 4:24.08.2~),
-               libphonon4qt6-dev (>= 4:4.11.1~),
-               libpimcommon-dev (>= 4:24.08.2~),
+               libmailimporter-dev (>= 4:24.12.0~),
+               libphonon4qt6-dev (>= 4:4.12.0~),
+               libpimcommon-dev (>= 4:24.12.0~),
+               libplasmaactivities-dev (>= 6.1.0~),
                libqgpgmeqt6-dev (>= 1.20.0~),
-               messagelib-dev (>= 4:24.08.2~),
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               messagelib-dev (>= 4:24.12.0~),
+               qt6-base-dev (>= 6.7.0~),
                xauth,
                xsltproc,
                xvfb,
@@ -62,13 +63,13 @@
 Package: libmailcommon-dev
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
-Depends: libakonadi-dev (>= 4:24.08.2~),
-         libakonadimime-dev (>= 4:24.08.2~),
-         libkdepim-dev (>= 4:24.08.2~),
-         libkf6completion-dev (>= 6.3.0~),
+Depends: libakonadi-dev (>= 4:24.12.0~),
+         libakonadimime-dev (>= 4:24.12.0~),
+         libkdepim-dev (>= 4:24.12.0~),
+         libkf6completion-dev (>= 6.6.0~),
          libkpim6mailcommon6 (= ${binary:Version}),
-         libpimcommon-dev (>= 4:24.08.2~),
-         messagelib-dev (>= 4:24.08.2~),
+         libpimcommon-dev (>= 4:24.12.0~),
+         messagelib-dev (>= 4:24.12.0~),
          ${misc:Depends},
 Description: KDE PIM email utility library - development files
  The mail common library provides utility functions for dealing with email.
